return {
	{
		"zaldih/themery.nvim",
		lazy = false,
		config = function()
			require("themery").setup({
				-- add the config here
				themes = { "rose-pine-dawn", "rose-pine-main" }, -- Your list of installed colorschemes.
				livePreview = true, -- Apply theme while picking. Default to true.
			})
			vim.keymap.set("n", "<leader>tt", function()
				local themery = require("themery")
				local currentTheme = themery.getCurrentTheme()
				if currentTheme and currentTheme.name == "rose-pine-dawn" then
					themery.setThemeByName("rose-pine-main", true)
				else
					themery.setThemeByName("rose-pine-dawn", true)
				end
			end, { noremap = true, desc = "Alternate between light and dark mode" })
		end,
	},
	{
		"rose-pine/neovim",
		name = "rose-pine",
		config = function()
			-- vim.cmd("colorscheme rose-pine")
		end,
	},
	-- highlight color hex codes
	{
		"brenoprata10/nvim-highlight-colors",
		opts = {},
		config = function()
			local highlight = require("nvim-highlight-colors")
			highlight.setup()
		end,
	},
	{ --statusline
		"nvim-lualine/lualine.nvim",
		dependencies = { "nvim-tree/nvim-web-devicons" },
		lazy = false,
		opts = {
			options = {
				section_separators = "",
				component_separators = "",
				theme = "rose-pine",
			},
			-- extensions = { "neo-tree", "lazy", "fzf" },
			extensions = { "fugitive", "lazy" },
		},
	},
	{ -- git symbols on sidebar
		"lewis6991/gitsigns.nvim",
		opts = {
			signs = {
				add = { text = "+" },
				change = { text = "~" },
				delete = { text = "_" },
				topdelete = { text = "‾" },
				changedelete = { text = "~" },
			},
			signs_staged = {
				add = { text = "+" },
				change = { text = "~" },
				delete = { text = "_" },
				topdelete = { text = "‾" },
				changedelete = { text = "~" },
			},
		},
	},
	{
		"f-person/git-blame.nvim",
		-- load the plugin at startup
		event = "VeryLazy",
		keys = {
			{ "<leader>gk", "<cmd>GitBlameToggle<cr>", desc = "Toggle git-blame" },
		},
		config = function()
			vim.g.gitblame_display_virtual_text = false
			--	schedule_event = "CursorHold"
			--	clear_event = "CursorHoldI"
			vim.g.gitblame_delay = 50 -- miliseconds
			local git_blame = require("gitblame")
			require("lualine").setup({
				sections = {
					lualine_c = {
						{ "filename" },
						{ git_blame.get_current_blame_text, cond = git_blame.is_blame_text_available },
					},
				},
			})
		end,
	},
	{ -- cosmetic indent lines
		"lukas-reineke/indent-blankline.nvim",
		main = "ibl",
		opts = {
			indent = {
				char = "▏",
			},
			scope = {
				show_start = false,
				show_end = false,
				show_exact_scope = false,
			},
			exclude = {
				filetypes = {
					"help",
					"startify",
					"dashboard",
					"packer",
					"neogitstatus",
					"NvimTree",
					"Trouble",
				},
			},
		},
	},
	{ -- colorful mode indicators
		"mvllow/modes.nvim",
		tag = "v0.2.1",
		config = function()
			require("modes").setup()
		end,
	},
	{ -- dashboard snack
		"folke/snacks.nvim",
		priority = 1000,
		lazy = false,
		---@type snacks.Config
		opts = {
			-- your configuration comes here
			-- or leave it empty to use the default settings
			-- refer to the configuration section below
			dashboard = {
				preset = {
					header = [[






███╗   ██╗███████╗ ██████╗ ██╗   ██╗██╗███╗   ███╗
████╗  ██║██╔════╝██╔═══██╗██║   ██║██║████╗ ████║
██╔██╗ ██║█████╗  ██║   ██║██║   ██║██║██╔████╔██║
██║╚██╗██║██╔══╝  ██║   ██║╚██╗ ██╔╝██║██║╚██╔╝██║
██║ ╚████║███████╗╚██████╔╝ ╚████╔╝ ██║██║ ╚═╝ ██║
╚═╝  ╚═══╝╚══════╝ ╚═════╝   ╚═══╝  ╚═╝╚═╝     ╚═╝





]],
				},
				sections = {
					{ section = "header" },
					{
						pane = 2,
						section = "terminal",
						cmd = "pokemon-colorscripts -n snorlax --no-title; sleep .1",
						height = 20,
						padding = 0,
					},
					{ section = "keys", gap = 1, padding = 1 },
					{
						pane = 2,
						icon = " ",
						title = "Recent Files",
						section = "recent_files",
						indent = 2,
						padding = 1,
					},
					{ pane = 2, icon = " ", title = "Projects", section = "projects", indent = 2, padding = 1 },
					{
						pane = 2,
						icon = " ",
						title = "Git Status",
						section = "terminal",
						enabled = function()
							return Snacks.git.get_root() ~= nil
						end,
						cmd = "git status --short --branch --renames",
						height = 5,
						padding = 1,
						ttl = 5 * 60,
						indent = 3,
					},
					{ section = "startup" },
				},
			},
		},
	},
}
